Error closing TB after installing extension

VERIFIED DUPLICATE of bug 234910

Status

VERIFIED DUPLICATE of bug 234910
15 years ago
15 years ago

People

(Reporter: n1ck.h0w1tt+bugzilla, Assigned: mscott)

Tracking

unspecified
Thunderbird0.6
x86
Windows ME

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

15 years ago
User-Agent:       
Build Identifier: Mozilla Thunderbird 0.5+ (20040214), WinME

Since TB 20040212, after I install the dictionary spell-ex-GB.xpi, the first
time I exit TB I get the error "Thunderbird has caused an error in XPINSTAL.DLL.
Thunderbird will now close" in a pop-up box. The installation is OK and I can
use the UK-English dictionary. This was OK prior to TB 20040211. TB 20040211 did
not install the dictionary and gave this erroe message. TB 20040212/13/14 all
give the same error.

Reproducible: Always
Steps to Reproduce:
1. Tools, Options, Extensions, Install New Extension
2. Choose dictionary file and complete the installation
3. Quit TB

Actual Results:  
The error "Thunderbird has caused an error in XPINSTAL.DLL. Thunderbird will now
close" appears.

Expected Results:  
Nothing.
(Assignee)

Updated

15 years ago
Status: UNCONFIRMED → ASSIGNED
Ever confirmed: true
Target Milestone: --- → Thunderbird0.6
(Assignee)

Comment 1

15 years ago
I'm not seeing this anymore in the latest nightlies. Anyone else?

http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/2004-03-12-trunk

Comment 2

15 years ago
I have the same problem, even with the 2004-03-12 nightly. Everytime I am 
trying to install the german language pack from 
http://thunderbird.diepause.de/downloads/lang.php I get this error in 
xpinstall.dll after I am closing TBird. Thats why I am still using the 0.5 
Final. I ve tried every nightly since then. Maybe some incompatibilities with 
the latest builds ? Just guessing....BTW, I am running WinXP
(Reporter)

Comment 3

15 years ago
(In reply to comment #1)
> I'm not seeing this anymore in the latest nightlies. Anyone else?
> http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/2004-03-12-trunk

It still happen to me with the 2004-03-12 nightly with WinME. As before, the 
file I am installing is spell-en-GB.xpi (spelled correctly this time). The 
installation is OK and I can use the dictionary. I just get the error message 
when I exit TB.
(Assignee)

Comment 4

15 years ago
I believe this was really a dupe of Bug #234910 which Ben just checked in a fix
for on 3/12. So it should be in next week's 'weekly' build or in nightlies dated
after 3/12.

I'm gonna just go ahead and mark this a dupe. Please re-open if after the next
round of releases this appears to not be fixed.

*** This bug has been marked as a duplicate of 234910 ***
Status: ASSIGNED → RESOLVED
Last Resolved: 15 years ago
Resolution: --- → DUPLICATE
verified.
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.